 
package org.eclipse.app.ui;

import javax.inject.Inject;

import java.io.IOException;

import javax.annotation.PostConstruct;

import org.eclipse.fx.ui.di.FXMLBuilder;
import org.eclipse.fx.ui.di.FXMLLoader;
import org.eclipse.fx.ui.di.FXMLLoaderFactory;

import javafx.scene.Node;
import javafx.scene.layout.BorderPane;

public class ExampleApp {
	@Inject
	public ExampleApp() {
		
	}
	
	@PostConstruct
	public void postConstruct(BorderPane parent, @FXMLLoader FXMLLoaderFactory factory) {
		try {
            FXMLBuilder<Node> builder = factory.loadRequestorRelative("Example.fxml");
            parent.setCenter(builder.load());
        } catch (IOException e) {
            e.printStackTrace();
        }
	}
	
	
	
	
}